跳转到主要内容
GET
/
report
/
ad-units
report/ad-units
curl --request GET \
  --url https://provisioning.cloudx.io/api/v1/report/ad-units \
  --header 'Authorization: Bearer <token>'
{
  "ad_units": [
    {
      "ad_unit_id": "<string>",
      "name": "<string>",
      "app_name": "<string>",
      "app_bundle": "<string>",
      "type": "<string>",
      "revenue": 123,
      "impressions": 123,
      "fill_rate": 123,
      "ecpm": 123,
      "source": "<string>",
      "revenue_share": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloudx.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
默认值:YOUR_CLOUDX_API_KEY
必填

Create or manage API keys in CloudX Settings.

查询参数

start_time
integer<int64>
必填

Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days.

end_time
integer<int64>
必填

End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days.

test_mode
enum<string>
默认值:production

Traffic mode to include. Defaults to production traffic.

可用选项:
production,
test,
all
app_bundle
string

App bundle identifier filter.

ad_unit_type
enum<string>

Ad unit format filter.

可用选项:
BANNER,
INTERSTITIAL,
REWARDED,
MREC,
NATIVE
country
string

ISO 3166-1 alpha-2 country code filter.

device_os
enum<string>

Device operating system filter.

可用选项:
iOS,
Android
source
string

Reporting source filter. Use cloudx, a mediation source such as applovin, a comma-separated list such as cloudx,admob, or all.

响应

Ad unit performance data.

ad_units
object[]
必填
Maximum array length: 100000